use config::Config;
use control::Controller;

mod aprs;
mod config;
mod control;
mod hrow;
mod img;
mod ldpc;
mod packet;
mod radio;
mod ssdv;

fn main() -> anyhow::Result<()> {
    let config = Config::load()?;

    let controller = Controller::new(config);

    controller.run_forever();

    Ok(())
}
